Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleTreeEdge

    java.lang.Object
      com.ibm.able.rules.AbleTreeEdge

public class AbleTreeEdge
extends java.lang.Object

This class represents an edge in a decision table or tree. The edge contains a value which is combinded with the parent node term to create an expression, and a tree node which it connects to.

Field Summary
`protected AbleTreeNode` | `decisionTreeNode`
`protected AbleExpression` | `myAbleExpression`
`protected AbleTreePartialExpression` | `value`
`protected java.lang.String` | `valueRef`

Constructor Summary
`AbleTreeEdge()` Create a new tree edge.
`AbleTreeEdge(AbleTreePartialExpression theValue)` Create a tree edge with specified value (operator and rhs)

Method Summary
`AbleExpression` | `getAbleExpression()` Get the executable (ABLE) boolean expression for this edge.
`AbleTreeNode` | `getChildNode()` Retrieve the node that this edge connects to.
`AbleTreePartialExpression` | `getValue()` Retrieve the value of the edge (operator and rhs)
`void` | `setAbleExpression(AbleExpression theAbleExpression)` Set the executable (ABLE) boolean expression for this edge
`void` | `setChildNode(AbleTreeNode newDecisionTreeNode)` Set the node that this edge connects to.
`void` | `setValue(AbleTreePartialExpression theValue)` Set the value of this edge.
`void` | `setValueRef(java.lang.String theValueRef)` Set the uid of the shared value referenced by this edge.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### valueRef

    protected java.lang.String valueRef

### value

    protected AbleTreePartialExpression value

### decisionTreeNode

    protected AbleTreeNode decisionTreeNode

### myAbleExpression

    protected AbleExpression myAbleExpression

Constructor Detail

### AbleTreeEdge

    public AbleTreeEdge()

  Create a new tree edge.

### AbleTreeEdge

    public AbleTreeEdge(AbleTreePartialExpression theValue)

  Create a tree edge with specified value (operator and rhs)

Parameters:
  `theValue` -

Method Detail

### getChildNode

    public AbleTreeNode getChildNode()

  Retrieve the node that this edge connects to.

  Returns:
    The connecting node.

### setChildNode

    public void setChildNode(AbleTreeNode newDecisionTreeNode)

  Set the node that this edge connects to.

  Parameters:
    `newDecisionTreeNode` -

### getValue

    public AbleTreePartialExpression getValue()

  Retrieve the value of the edge (operator and rhs)

  Returns:
    The edge value.

### setValue

    public void setValue(AbleTreePartialExpression theValue)

  Set the value of this edge.

  Parameters:
    `theValue` -

### setValueRef

    public void setValueRef(java.lang.String theValueRef)

  Set the uid of the shared value referenced by this edge.

  Parameters:
    `theValueRef` -

### setAbleExpression

    public void setAbleExpression(AbleExpression theAbleExpression)

  Set the executable (ABLE) boolean expression for this edge

  Parameters:
    `theAbleExpression` -

### getAbleExpression

    public AbleExpression getAbleExpression()

  Get the executable (ABLE) boolean expression for this edge.

  Returns:
    The expression.

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005